Subject: Re: the printk problem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 05 Jul 2008 09:00:20 +1000

On Fri, 2008-07-04 at 13:02 -0700, Linus Torvalds wrote:
> 
> That function descriptor indirection is totally untested, and I did it 
> with a
> 
>         pagefault_disable();
>         __get_user(..)
>         pagefault_enable();
> 
> thing because I thought it would be nice if printk() was always safe, and 
> passing bogus function pointers to '%pF' should try to work, but quite 
> frankly, I didn't even check that that part compiles, much less works.
> 
> ia64/ppc lists cc'd, just in case somebody wants to test this.

I'll give it a try using probe_kernel_address() instead on monday.

Cheers,
Ben.